function res=residuals(theta,param,at);
global nbk kmin ksup XX kt PI nstate;

alpha	= param(1);
beta	= param(2);
delta	= param(3);
sigma	= param(4);
lt		= length(theta);
theta	= reshape(theta,lt/nstate,nstate);

RHS=[];
LHS=[];
for i=1:nstate;
   ct	= exp(XX*theta(:,i));
   k1	= exp(at(i))*kt.^alpha+(1-delta)*kt-ct;
   rk1	= transfo(log(k1),kmin,ksup);
   xk1	= cheb(rk1,[0:nbk]);
   aux	= 0;
	for j=1:nstate;
   	c1	= exp(xk1*theta(:,j));
      aux	= aux+PI(i,j)*beta*(alpha*exp(at(j))*k1.^(alpha-1)+1-delta).*c1.^(-sigma);
   end;
   RHS	= [RHS -sigma*log(ct)];
   LHS	= [LHS log(aux)];
end;

res=LHS-RHS;
res=res(:);