function res=residuals(theta,param,at);
global nbk kmin ksup XX kt PI nstate;

alpha	= param(1);
beta	= param(2);
delta	= param(3);
sigma	= param(4);
lt		= length(theta);
theta	= reshape(theta,lt/nstate,nstate);

RHS=[];
LHS=[];
for i=1:nstate;
   Ephi	= exp(XX*theta(:,i));
   k1		= exp(at(i))*exp(kt).^alpha+(1-delta)*exp(kt)-Ephi.^(-1/sigma);
   rk1	= transfo(log(k1),kmin,ksup);
   xk1	= cheb(rk1,[0:nbk]);
   aux	= 0;
	for j=1:nstate;
   	Ephi1	= exp(xk1*theta(:,j));
      aux	= aux+PI(i,j)*beta*(alpha*exp(at(j))*k1.^(alpha-1)+1-delta).*Ephi1;
   end;
   RHS	= [RHS log(aux)];
   LHS	= [LHS log(Ephi)];
end;

res=XX'*(LHS-RHS);
res=res(:);