function res=residuals(theta,param);

global nbk kmin ksup XK kt;
global nba amin asup XA at;
global nstate nodea nodek wmat wgrid;

alpha	= param(1);
beta	= param(2);
delta	= param(3);
sigma	= param(4);
ma		= param(5);
rho	= param(6);

RHS=[];
LHS=[];
XX=[];
for i	= 1:nodek;
    for j=1:nodea;
        XX0	= makepoly(XA(j,:),XK(i,:));
        Ephi= exp(XX0*theta);
        XX	= [XX;XX0];
        y	= exp(at(j))*kt(i)^alpha;
        iv	= y-Ephi.^(-1/sigma);
        dum	= iv>0;
        k1  = (1-delta)*kt(i)+iv.*dum;
        rk1	= transfo(log(k1),kmin,ksup);
        %if abs(rk1)>1;disp('problme k(t+1)');end
        xk1	= cheb(rk1,[0:nbk]);      
        a1	= rho*at(j)+(1-rho)*ma+wgrid;
        ra1	= transfo(a1,amin,asup);		% grid
        %if abs(ra1)>1;disp('problme a(t+1)');end
        XA1	= cheb(ra1,[0:nba]);				% Polynomials
        XX1	= makepoly(XA1,xk1);
        Ephi1= exp(XX1*theta);
        y	= exp(a1).*k1.^alpha;
        iv	= y-Ephi1.^(-1/sigma);
        dum	= iv>0;
        mu1	= (1-dum).*(y.^(-sigma)-Ephi1);
        aux	= wmat'*(beta*((alpha*exp(a1)*k1.^(alpha-1)+1-delta).*Ephi1)-mu1*(1-delta))/sqrt(pi);
        RHS	= [RHS;log(aux)];
        LHS	= [LHS;log(Ephi)];
    end
end;
res	= XX'*(LHS-RHS);
res	= res(:);